## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 25
%bcond_without check

%global crate startup-disk
%global app_id org.startup_disk.StartupDisk

Name:           rust-startup-disk
Version:        0.1.3
Release:        %autorelease
Summary:        Interface to choose the startup volume on Apple Silicon systems

License:        MIT
URL:            https://crates.io/crates/startup-disk
Source:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Startup Disk provides a simple interface to choose the startup volume on Apple
Silicon Macs running Asahi Linux.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# Apache-2.0 OR MIT
# MIT
# MIT OR Apache-2.0
# Unlicense OR MIT
# Zlib
License:        (Apache-2.0 OR MIT) AND MIT AND (MIT OR Apache-2.0) AND (Unlicense OR MIT) AND Zlib
# LICENSE.dependencies contains a full license breakdown
Requires:       hicolor-icon-theme
Requires:       polkit
Requires:       sudo

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%license LICENSE.dependencies
%doc README.md
%{_bindir}/startup-disk
%{_datadir}/applications/%{app_id}.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{app_id}.svg
%{_datadir}/polkit-1/actions/%{app_id}.policy
%{_metainfodir}/%{app_id}.metainfo.xml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires
echo 'make'
%if %{with check}
echo 'desktop-file-utils'
echo 'libappstream-glib'
%endif

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install
make install-data DESTDIR="%{buildroot}" DATADIR="%{_datadir}"

%if %{with check}
%check
%cargo_test
make check-data
%endif

%changelog
* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> 0.1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Dec 17 2023 Davide Cavalca <dcavalca@fedoraproject.org> 0.1.3-1
- Initial import; Fixes: RHBZ#2254784
